Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
x86UNIXPlatformState Class Reference

`#include <x86UNIXState.h>`

## Public Member Functions
void | setDisplayPointer (Display *displayPointer)
void | setScreenNumber (int newNumber)
int | getScreenNumber ()
void | setScreenPointer (Screen *newScreenPointer)
Screen * | getScreenPointer ()
void | setDesktopBpp (S32 bpp)
S32 | getDesktopBpp ()
void | setDesktopSize (S32 horizontal, S32 vertical)
Point2I | getDesktopSize ()
void | setWindow (Window newWindow)
Window | getWindow ()
void | setWindowSize (S32 horizontal, S32 vertical)
void | setWindowSize (Point2I size)
Point2I & | getWindowSize ()
void | setWindowName (const char *windowName)
const char * | getWindowName ()
void | setExePathName (const char *exePathName)
const char * | getExePathName ()
const char * | getExeName ()
bool | windowCreated ()
bool | windowActive ()
bool | windowLocked ()
void | setWindowCreated (bool windowCreated)
void | setWindowActive (bool windowActive)
void | setWindowLocked (bool windowLocked)
bool | isXWindowsRunning ()
void | setXWindowsRunning (bool running)
bool | isDedicated ()
void | setDedicated (bool dedicated)
bool | getDSleep ()
void | setDSleep (bool enabled)
bool | getUseRedirect ()
void | setUseRedirect (bool enabled)
| x86UNIXPlatformState ()

## Public Attributes
U32 | currentTime

## Friends
class | DisplayPtrManager

## Constructor & Destructor Documentation

x86UNIXPlatformState | ( |  | ) |
| inline

## Member Function Documentation

S32 getDesktopBpp | ( |  | ) |
| inline

Point2I getDesktopSize | ( |  | ) |
| inline

bool getDSleep | ( |  | ) |
| inline

const char* getExeName | ( |  | ) |
| inline

const char* getExePathName | ( |  | ) |
| inline

int getScreenNumber | ( |  | ) |
| inline

Screen* getScreenPointer | ( |  | ) |
| inline

bool getUseRedirect | ( |  | ) |
| inline

Window getWindow | ( |  | ) |
| inline

const char* getWindowName | ( |  | ) |
| inline

Point2I& getWindowSize | ( |  | ) |
| inline

bool isDedicated | ( |  | ) |
| inline

bool isXWindowsRunning | ( |  | ) |
| inline

void setDedicated | ( | bool | dedicated | ) |
| inline

void setDesktopBpp | ( | S32 | bpp | ) |
| inline

void setDesktopSize | ( | S32 | horizontal,
|  | S32 | vertical
| ) |  |
| inline

void setDisplayPointer | ( | Display * | displayPointer | ) |
| inline

void setDSleep | ( | bool | enabled | ) |
| inline

void setExePathName | ( | const char * | exePathName | ) |
| inline

void setScreenNumber | ( | int | newNumber | ) |
| inline

void setScreenPointer | ( | Screen * | newScreenPointer | ) |
| inline

void setUseRedirect | ( | bool | enabled | ) |
| inline

void setWindow | ( | Window | newWindow | ) |
| inline

void setWindowActive | ( | bool | windowActive | ) |
| inline

void setWindowCreated | ( | bool | windowCreated | ) |
| inline

void setWindowLocked | ( | bool | windowLocked | ) |
| inline

void setWindowName | ( | const char * | windowName | ) |
| inline

void setWindowSize | ( | S32 | horizontal,
|  | S32 | vertical
| ) |  |
| inline

void setWindowSize | ( | Point2I | size | ) |
| inline

void setXWindowsRunning | ( | bool | running | ) |
| inline

bool windowActive | ( |  | ) |
| inline

bool windowCreated | ( |  | ) |
| inline

bool windowLocked | ( |  | ) |
| inline

## Friends And Related Function Documentation

friend class DisplayPtrManager
| friend

## Member Data Documentation

U32 currentTime

The documentation for this class was generated from the following file:

- platformX86UNIX/x86UNIXState.h